package com.ruoyi.system.domain.dto;

import com.ruoyi.common.core.domain.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author wjh
 * 2024/10/22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SysUserQuery extends SysUser {

    @ApiModelProperty("用户ID列表")
    private List<Long> userIds;

    @ApiModelProperty("用户名称列表")
    private List<String> userNames;

    @ApiModelProperty("用户昵称列表")
    private List<String> nickNames;
}
