package com.ruoyi.web.yh.price.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author wjh
 * 2024/10/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PriceQuery extends PriceVO {

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @ApiModelProperty("单价ID列表")
    private List<Long> priceIds;

}
