package com.ruoyi.web.yh.report.domain.bo;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.web.yh.report.domain.Report;
import com.ruoyi.web.yh.reportProd.domain.ReportProd;
import com.ruoyi.web.yh.reportProd.domain.bo.ReportProdBO;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author wjh
 * 2024/10/31
 */
@Data
public class ReportBO extends Report {

    // 部门信息
    private SysDept dept;

    // 产量列表
    private List<ReportProdBO> productList;
}
