package com.ruoyi.web.yh.reportProd.domain;

import com.ruoyi.web.yh.reportOrderProd.domain.ReportOrderProdVO;
import com.ruoyi.web.yh.reportUserProd.domain.ReportUserProdVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import java.util.List;

/**
 * @author wjh
 * 2024/10/31
 */
@Data
public class ReportProdVO extends ReportProd {

    @ApiModelProperty("员工产量列表")
    @Valid
    private List<ReportUserProdVO> userProdList;

    @ApiModelProperty("订单产量列表")
    @Valid
    private List<ReportOrderProdVO> orderProdList;
}
